function combine_nuc(A,b)
y1=(AccProxGrad_nuclear(A,b));
y2=(ProxGrad_nuclear(A,b));
[n m]=size(A);
[n m1]=size(b);
tic
cvx_begin
variable x(m,m1)
minimize 0.5*(square_pos(norm(A*x-b)))+norm_nuc(x)
cvx_end
toc
%loglog(y1);
%loglog(y2);
%y2D=[y1 y2]';
loglog(1:length(y1),y1,1:length(y2),y2);
%,'LineWidth', 1);
fontSize=12;
title('2 Different Y Vectors', 'FontSize', fontSize);
xlabel('Iterations', 'FontSize', fontSize);
ylabel('(f(x)-f(x_prev))/f(x)', 'FontSize', fontSize);
grid on;
legend('Accelerated Proximal Gradient', 'Proximal Gradient');

% Enlarge figure to full screen.
set(gcf, 'units','normalized','outerposition',[0 0 1 1]);