function combine_q3(A,b)
y1=(AccProxGrad_q3(A,b));
y2=(ProxGrad_q3(A,b));
[m p]=size(A);
tic
cvx_begin
variable x(p)
minimize 0.5*(square_pos(norm(A*x-b,2)))+norm(x,2)
cvx_end
toc
%loglog(y1);
%loglog(y2);
%y2D=[y1 y2]';
loglog(1:length(y1),y1,1:length(y2),y2);
%,'LineWidth', 1);
fontSize=12;
title('2 norm non-differentiable function', 'FontSize', fontSize);
xlabel('Iterations', 'FontSize', fontSize);
ylabel('(f(x)-f(x_prev))/f(x)', 'FontSize', fontSize);
grid on;
legend('Accelerated Proximal Gradient', 'Proximal Gradient');

% Enlarge figure to full screen.
set(gcf, 'units','normalized','outerposition',[0 0 1 1]);